varying vec2 texCoord;
uniform sampler2D envMap;
varying vec3 eyeSC;
void main()
{

	vec2 tC = eyeSC.xy*0.5 + vec2(0.5);
	vec3 colMod = eyeSC;
	colMod = vec3(0.8,0.3,0.2);
	tC = texCoord;
	vec4 envCol = texture2D(envMap,tC);
	envCol.rgb = colMod;
	gl_FragColor = envCol*0.23;

	
}